package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ApprovalTypeDto  implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5149189295661809505L;
	
	private Integer id;
	private String name;
	private Integer isOperation;//1-新增；2-修改;3-删除；
	private List<ApprovalRoleDto> roleList = new ArrayList<ApprovalRoleDto>();
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getIsOperation() {
		return isOperation;
	}
	public void setIsOperation(Integer isOperation) {
		this.isOperation = isOperation;
	}
	public List<ApprovalRoleDto> getRoleList() {
		return roleList;
	}
	public void setRoleList(List<ApprovalRoleDto> roleList) {
		this.roleList = roleList;
	}
	
	

}
